ACN::DMP::address_type Struct Reference

The address_type struct. More...

`#include <dmp.h>`

Inheritance diagram for ACN::DMP::address_type:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream s) override
| fill structure data from input stream
void | oStream (PDU::Stream s) const override
| write structure data to output stream

## Public Attributes

union {
uint8_t byte = 0
struct {
address_length width: 2
uint8_t x_reserved: 2
data_type type: 2
bool relative: 1
bool z_reserved: 1
} |
}; |

## Detailed Description

The address_type struct.

## Member Function Documentation

## streamSize()

size_t ACN::DMP::address_type::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following file:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/dmp.h